//------------------------------------------------------------------------
//
// OpenDCC - S88-N - IR Reflexsensor
//
// Copyright (c) 2007 Kufer
//
// This source file is subject of the GNU general public license 2,
// that is available at the world-wide-web at
// http://www.gnu.org/licenses/gpl.txt
// 
//------------------------------------------------------------------------
//
// file:      ir_sensor.h
// author:    Wolfgang Kufer
// contact:   kufer@gmx.de
// webpage:   http://www.opendcc.de
// history:   2008-04-27 V0.1 start
//
//------------------------------------------------------------------------

void init_adc(void);

unsigned char do_fast_adc(unsigned char channel);   // single measurement - 8 bit result

unsigned char read_sensor(unsigned char channel);   // return TRUE if object at sensor
                                                    //        FALSE if free

unsigned char read_all_sensors(void);               // returns result vector (msb = sensor 0, lsb = sensor 7)

