

//---------------------------------------------------------------------------
// PORT Definitions:
//
// PORTA:
//
// PORTB:
// B0:     Data In (dedicated pin for USI)
// B1:     Data out (dedicated pin for USI)
// B2:     Clk (dedicated pin for USI)
// B3:     IR_LED
// B4:     ADC7 (redefined)
// B5:     LED
// B6:     Load
// B7:     Reset
//
#define PS88_DI        0
#define PS88_DO        1
#define PS88_CLK       2
#define IR_LED         3
#define LED            5    // out (active low)
#define PS88_LOAD      6

#define S88_LOAD       ( (PINB & (1<<PS88_LOAD)))
#define S88_CLK        ( (PINB & (1<<PS88_CLK)))
#define IR_LED_OFF     ( PORTB |=  (1<<IR_LED))
#define IR_LED_ON      ( PORTB &= ~(1<<IR_LED))
#define LED_ON         ( PORTB &= ~(1<<LED))
#define LED_OFF        ( PORTB |= (1<<LED))
//


//-----------------------------------------------------------------------------
extern volatile signed char timerval;    // is incremented by ISR

extern volatile unsigned int current_message;
